{% include "navstory9.html" %}
{% load static %}

<!DOCTYPE html>
<html>
    <link  rel="stylesheet" href="{% static 'search.css' %}">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

    <br>
    <h1 style="text-align: center;">Data Buku</h1> <br>
    <div class="cari">
        <input id="key" placeholder="Masukkan keyword" style="text-align: center;"> <br> <br>
    </div>
    <table class="table table-dark">
        <thead>
          <tr>
            <th style="text-align: center;">Title</th>
            <th style="text-align: center;">Author</th>
            <th style="text-align: center;">Publish Date</th>
          </tr>
        </thead>
        <tbody id="hsl">

        </tbody> 
    </table>

    <script type="text/javascript">
        $("#key").keyup(function() {
            var input = $("#key").val();
            var buaturl = 'https://www.googleapis.com/books/v1/volumes?q=' + input;
            $.ajax({
                url: buaturl,
                success: function(result){
                    console.log(result.items);
                    var hasil = $("#hsl");
                    hasil.empty();

                    for(i = 0; i < result.items.length; i++){
                        var judul = result.items[i].volumeInfo.title;
                        var author = result.items[i].volumeInfo.authors;
                        var tanggal = result.items[i].volumeInfo.publishedDate;
                        console.log(judul);
                        hasil.append(
                            "<tr> <td>" + judul + "</td>" +
                            "<td>" + author + "</td>" +
                            "<td>" + tanggal + "</td>"
                        );
                    }
                }
            })
        })
    </script>
</html>